# Uses of Interface
com.sun.mirror.declaration.AnnotationTypeDeclaration

Packages that use AnnotationTypeDeclaration
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.
org.eclipse.jdt.apt.core.env
This package contains Eclipse extensions to some of the Sun annotation processing APIs.

## Uses of AnnotationTypeDeclaration in com.sun.mirror.apt

Methods in com.sun.mirror.apt with parameters of type AnnotationTypeDeclaration
Modifier and Type
Method
Description
`Collection<Declaration>`
AnnotationProcessorEnvironment.`getDeclarationsAnnotatedWith(AnnotationTypeDeclaration a)`
Returns the declarations annotated with the given annotation type.
Method parameters in com.sun.mirror.apt with type arguments of type AnnotationTypeDeclaration
Modifier and Type
Method
Description
`AnnotationProcessor`
AnnotationProcessorFactory.`getProcessorFor(Set<AnnotationTypeDeclaration> atds, AnnotationProcessorEnvironment env)`
Returns an annotation processor for a set of annotation types.

## Uses of AnnotationTypeDeclaration in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return AnnotationTypeDeclaration
Modifier and Type
Method
Description
`AnnotationTypeDeclaration`
AnnotationTypeElementDeclaration.`getDeclaringType()`
Returns the type declaration within which this member or constructor is declared.
Methods in com.sun.mirror.declaration that return types with arguments of type AnnotationTypeDeclaration
Modifier and Type
Method
Description
`Collection<AnnotationTypeDeclaration>`
PackageDeclaration.`getAnnotationTypes()`
Returns the declarations of the top-level annotation types in this package.

## Uses of AnnotationTypeDeclaration in com.sun.mirror.type

Methods in com.sun.mirror.type that return AnnotationTypeDeclaration
Modifier and Type
Method
Description
`AnnotationTypeDeclaration`
AnnotationType.`getDeclaration()`
Returns the declaration of this type.

## Uses of AnnotationTypeDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type AnnotationTypeDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitAnnotationTypeDeclaration(AnnotationTypeDeclaration d)`
Visits an annotation type declaration.
`void`
SimpleDeclarationVisitor.`visitAnnotationTypeDeclaration(AnnotationTypeDeclaration d)`
Visits an annotation type declaration.

## Uses of AnnotationTypeDeclaration in org.eclipse.jdt.apt.core.env

Method parameters in org.eclipse.jdt.apt.core.env with type arguments of type AnnotationTypeDeclaration
Modifier and Type
Method
Description
`AnnotationProcessor`
EclipseAnnotationProcessorFactory.`getProcessorFor(Set<AnnotationTypeDeclaration> atds, EclipseAnnotationProcessorEnvironment env)`
Returns an annotation processor for a set of annotation types.